# $Revision: 1.31 $, $Date: 2012/03/08 16:47:38 $
Summary:	XScrnSaver (X11 Screen Saver) extension client library
Summary(pl.UTF-8):	Biblioteka kliencka rozszerzenia XScrnSaver (X11 Screen Saver)
Name:		xorg-lib-libXScrnSaver
Version:	1.2.2
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXScrnSaver-%{version}.tar.bz2
# Source0-md5:	7a773b16165e39e938650bcc9027c1d5
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel >= 1.2
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XScrnSaver (X11 Screen Saver) extension client library.

%description -l pl.UTF-8
Biblioteka kliencka rozszerzenia XScrnSaver (X11 Screen Saver).

%package devel
Summary:	Header files for libXScrnSaver library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXScrnSaver
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-scrnsaverproto-devel >= 1.2

%description devel
XScrnSaver (X11 Screen Saver) extension client library.

This package contains the header files needed to develop programs that
use libXScrnSaver.

%description devel -l pl.UTF-8
Biblioteka kliencka rozszerzenia XScrnSaver (X11 Screen Saver).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXScrnSaver.

%package static
Summary:	Static libXScrnSaver library
Summary(pl.UTF-8):	Biblioteka statyczna libXScrnSaver
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XScrnSaver (X11 Screen Saver) extension client library.

This package contains the static libXScrnSaver library.

%description static -l pl.UTF-8
Biblioteka kliencka rozszerzenia XScrnSaver (X11 Screen Saver).

Pakiet zawiera statyczną bibliotekę libXScrnSaver.

%prep
%setup -q -n libXScrnSaver-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXss.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXss.so
%{_libdir}/libXss.la
%{_includedir}/X11/extensions/scrnsaver.h
%{_pkgconfigdir}/xscrnsaver.pc
%{_mandir}/man3/XScreenSaver*.3x*
%{_mandir}/man3/Xss.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXss.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXScrnSaver.spec,v $
Revision 1.31  2012/03/08 16:47:38  qboosh
- updated to 1.2.2

Revision 1.30  2011/01/29 00:08:02  sparky
- dropped pre-cvs changelog

Revision 1.29  2010/10/30 18:09:15  qboosh
- updated to 1.2.1

Revision 1.28  2009/11/12 11:29:06  patrys
- rebuild
- rel 2

Revision 1.27  2009/10/05 06:06:43  qboosh
- updated -devel deps

Revision 1.26  2009/10/05 05:39:37  qboosh
- updated util-macros and scrnsaverproto versions
- more verbose file
- added REAME to doc, enhanced descs

Revision 1.25  2009/09/04 09:52:26  arekm
- up to 1.2.0

Revision 1.24  2008/11/05 23:29:50  arekm
- release 2

Revision 1.23  2008/03/20 06:35:16  qboosh
- ghost soname symlink

Revision 1.22  2008-03-18 07:04:49  arekm
- up to 1.1.3

Revision 1.21  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.19  2006/12/16 15:14:01  arekm
- up to 1.1.2

Revision 1.18  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.17  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.16  2006/10/14 14:15:15  qboosh
- updated to 1.1.1

Revision 1.15  2006/05/26 15:45:17  qboosh
- updated to 1.1.0

Revision 1.14  2006/04/17 09:56:07  qboosh
- release 1

Revision 1.13  2005/12/27 14:06:41  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.12  2005/12/20 11:35:08  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.11  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.10  2005/12/04 10:31:37  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.9  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.8  2005/10/20 22:10:06  qboosh
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

Revision 1.7  2005/10/20 19:41:52  qboosh
- 0.99.2 (X11R7.0-RC1)

Revision 1.6  2005/09/08 12:56:11  wiget
- %files fix

Revision 1.5  2005/09/02 23:51:59  qboosh
- 0.99.1 (soname fix)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
